CON
  _clkmode = xtal1 + pll16x
  _xinfreq = 5_000_000
  
F1 = 40851
F2 = 29891
F3 = 21009
F4 = 38946

AC1 = 8083
AC2 = 234
AC3 = 195
AC4 = 4625
AC5 = 74
AC6 = 2082

B1  = 6114
B2  = 47

OBJ
  Baro  : "EC_i2c"
  tv   : "tv_text"

VAR
  word tempF,tempc,BaroP
  word UT,UP,x1,x2,y2,x3,y3,x4,y4,b5,t,p,B3,B4,B6,Y1,altitude
  
PUB init

   Baro.init(28,29)                'scl and sda on pin 28 and pin 29
   tv.start(12)                    ' start TV display  base pin 12
   mainLoop
   
PUB mainLoop

    repeat
     '     Baro.start_adcTemp       ' start the adc for reading temp then
     '     Baro.start_adcPres       ' start the adc for reading pressure
          Baro.readBaro            ' read data via i2c bus

          
                                   ' Convert UT to temp
                                   
     
     
        '****************** Print out all values *********************
     
      tv.str(string($A,1,$B,2))          'set tv position to col 1 line 2      
      tv.str(string("                "))
      tv.str(string($A,1,$B,2))          'set tv position to col 1 line 2
        tv.str(string("F6  "))          'Print this...   
      tv.hex(baro.baro_f6,4)                        
      
      tv.str(string($A,1,$B,3))          'set tv position to col 1 line 3     
      tv.str(string("                ")) 'errase most of the line
      tv.str(string($A,1,$B,3))          'set tv position to col 1 line 3
      tv.str(string("F7  "))            'Print this...   
       tv.hex(baro.baro_f7,4)                    
     
      tv.str(string($A,1,$B,4))          'set tv position to col 1 line 4     
      tv.str(string("                ")) 'errase most of the line 
           tv.str(string($A,1,$B,4))     'set tv position to col 1 line 4     
      tv.str(string("F8  "))            'Print this...
             tv.hex(baro.baro_f8,4)                     
      
      tv.str(string($A,1,$B,5))          'set tv position to col 1 line 5      
      tv.str(string("                ")) 'errase most of the line 
      tv.str(string($A,1,$B,5))          'set tv position to col 1 line 5
        tv.str(string("F9  "))          'Print this...   
       tv.hex(baro.baro_f9,4)                           
      
      tv.str(string($A,1,$B,6))          'set tv position to col 1 line 6    
      tv.str(string("                ")) 'errase most of the line   
      tv.str(string($A,1,$B,6))          'set tv position to col 1 line 6
      tv.str(string("FA  "))            'Print this...   
        tv.hex(baro.baro_fA,4)                           
       
      tv.str(string($A,1,$B,7))          'set tv position to col 1 line 7     
      tv.str(string("                ")) 'errase most of the line   
           tv.str(string($A,1,$B,7))     'set tv position to col 1 line 7     
      tv.str(string("FB  "))            'Print this...
        tv.hex(baro.baro_fB,4)                  
      
      tv.str(string($A,1,$B,8))          'set tv position to col 1 line 8      
      tv.str(string("                ")) 'errase most of the line   
      tv.str(string($A,1,$B,8))          'set tv position to col 1 line 8
        tv.str(string("FC  "))          'Print this...   
        tv.hex(baro.baro_fC,4)                          
      
        tv.str(string($A,1,$B,9))        'set tv position to col 1 line 9     
      tv.str(string("                ")) 'errase most of the line   
           tv.str(string($A,1,$B,9))     'set tv position to col 1 line 9     
      tv.str(string("FD  "))            'Print this...
          tv.hex(baro.baro_fD,4)                    
      
      tv.str(string($A,1,$B,10))         'set tv position to col 1 line 10      
      tv.str(string("                ")) 'errase most of the line   
      tv.str(string($A,1,$B,10))         'set tv position to col 1 line 10
        tv.str(string("FE  "))          'Print this...   
        tv.hex(baro.baro_fE,4)                         
     
      tv.str(string($A,1,$B,11))         'set tv position to col 1 line 10      
      tv.str(string("                ")) 'errase most of the line   
      tv.str(string($A,1,$B,11))         'set tv position to col 1 line 10
        tv.str(string("FF  "))          'Print this...   
        tv.hex(baro.baro_fF,4)       